## ros-humble-image-proc 3.0.5

=== debian/changelog ===
ros-humble-image-proc (3.0.5-1bookworm) bookworm; urgency=high

  * [backport humble] Node namespace parameter (#963 <https://github.com/ros-perception/image_pipeline/issues/963>)
    Backport pull request #925 <https://github.com/ros-perception/image_pipeline/issues/925> which solves issue #952 <https://github.com/ros-perception/image_pipeline/issues/952> by adding the
    namespace parameter to the image_proc launch file
    Co-authored-by: Lucas Wendland <mailto:82680922+CursedRock17@users.noreply.github.com>
  * Contributors: Alejandro Hernández Cordero

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 23 Jul 2024 16:00:00 -0000

ros-humble-image-proc (3.0.4-1bookworm) bookworm; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 29 Feb 2024 16:00:00 -0000

ros-humble-image-proc (3.0.3-1bookworm) bookworm; urgency=high

  * [backport Humble] Removed cfg files related with ROS 1 parameters (#911 <https://github.com/ros-perception/image_pipeline/issues/911>) (#913 <https://github.com/ros-perception/image_pipeline/issues/913>)
    Removed cfg files related with ROS 1 parameters. Backport
    https://github.com/ros-perception/image_pipeline/pull/911
  * [backport humble] ROS 2: Merged resize.cpp: fix memory leak (#874 <https://github.com/ros-perception/image_pipeline/issues/874>) (#891 <https://github.com/ros-perception/image_pipeline/issues/891>)
    backport #874 <https://github.com/ros-perception/image_pipeline/issues/874>
  * allow use as component or node (#859 <https://github.com/ros-perception/image_pipeline/issues/859>)
    backport #852 <https://github.com/ros-perception/image_pipeline/issues/852> to humble
  * Contributors: Alejandro Hernández Cordero, Michael Ferguson

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 23 Jan 2022 16:00:00 -0000

ros-humble-image-proc (3.0.2-1bookworm) bookworm; urgency=high

  * Fix to allow remapping resize and image topics
  * Use the same QoS profiles as publishers in image_proc
  * Contributors: Michal Wojcik

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 16 Jan 2022 16:00:00 -0000

ros-humble-image-proc (3.0.0-1bookworm) bookworm; urgency=high

  * Cleanup of image_proc.
  * Some small fixes noticed while reviewing.
  * Remove unnecessary find_package
  * Deal with uncrustify and cpplint
  * LTTng instrument image_proc::RectifyNode and image_proc::ResizeNode
  * bring over ros1 fix for missing roi resize
  * Add maintainer (#667 <https://github.com/ros-perception/image_pipeline/issues/667>)
  * Fix build with later versions of OpenCV 3
  * Refactor image_proc and stereo_image_proc launch files (#583 <https://github.com/ros-perception/image_pipeline/issues/583>)
  * Contributors: Chris Lalancette, Evan Flynn, Jacob Perron, Scott K Logan, Víctor Mayoral Vilches

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 28 Apr 2022 16:00:00 -0000

ros-humble-image-proc (2.2.1-1bookworm) bookworm; urgency=high

  * make crop_decimate work (#593 <https://github.com/ros-perception/image_pipeline/issues/593>)
  * remove email blasts from steve macenski (#596 <https://github.com/ros-perception/image_pipeline/issues/596>)
  * Disable "Publish Color!" debug_info (#577 <https://github.com/ros-perception/image_pipeline/issues/577>)
  * [Foxy] Use ament_auto Macros (#573 <https://github.com/ros-perception/image_pipeline/issues/573>)
  * Contributors: Dereck Wonnacott, Joshua Whitley, Michael Ferguson, Steve Macenski

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 26 Aug 2020 16:00:00 -0000

ros-humble-image-proc (2.2.0-1bookworm) bookworm; urgency=high

  * Replacing deprecated header includes with new HPP versions. (#566 <https://github.com/ros-perception/image_pipeline/issues/566>)
  * Opencv 3 compatibility (#564 <https://github.com/ros-perception/image_pipeline/issues/564>)
    * Remove GTK from image_view.
    * Reinstate OpenCV 3 compatibility.
  * Fix bad quotes in image_proc launch file (#563 <https://github.com/ros-perception/image_pipeline/issues/563>)
    This fixes a flake8 error.
  * Contributors: Chris Lalancette, Jacob Perron, Joshua Whitley
  * Initial ROS2 commit.
  * Contributors: Michael Carroll

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 26 Jul 2020 16:00:00 -0000

ros-humble-image-proc (1.12.23-1bookworm) bookworm; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 09 May 2018 16:00:00 -0000

ros-humble-image-proc (1.12.22-1bookworm) bookworm; urgency=high

  * Merge pull request #311 <https://github.com/ros-perception/image_pipeline/issues/311> from knorth55/revert-299
    Revert "Fix image_resize nodelet (#299 <https://github.com/ros-perception/image_pipeline/issues/299>)"
    This reverts commit 32e19697ebce47101b063c6a02b95dfa2c5dbc52.
  * Contributors: Shingo Kitagawa, Tully Foote

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 07 Dec 2017 16:00:00 -0000

ros-humble-image-proc (1.12.21-1bookworm) bookworm; urgency=high

  * Fix image_resize nodelet (#299 <https://github.com/ros-perception/image_pipeline/issues/299>)
    Update interpolation types
    Add arguments to enable disable each nodelet
    Add default arguments for image_resize and image_rect
    Use toCVShare instead of toCVCopy
    Include image_resize in image_proc
  * Updated fix for traits change. (#303 <https://github.com/ros-perception/image_pipeline/issues/303>)
  * Fix C++11 compilation
    This fixes #292 <https://github.com/ros-perception/image_pipeline/issues/292> and #291 <https://github.com/ros-perception/image_pipeline/issues/291>
  * [image_proc][crop_decimate] support changing target image frame_id (#276 <https://github.com/ros-perception/image_pipeline/issues/276>)
  * Contributors: Furushchev, Mike Purvis, Vincent Rabaud, bikramak

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 04 Nov 2017 16:00:00 -0000

ros-humble-image-proc (1.12.20-1bookworm) bookworm; urgency=high

  * Add nodelet to resize image and camera_info (#273 <https://github.com/ros-perception/image_pipeline/issues/273>)

