## ros-humble-image-proc 3.0.6

=== debian/changelog ===
ros-humble-image-proc (3.0.6-1bookworm) bookworm; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 19 Aug 2024 16:00:00 -0000
